Package com.usatiuk.dhfs.peertrust

# Class PeerTrustServerCustomizer

java.lang.Object
com.usatiuk.dhfs.peertrust.PeerTrustServerCustomizer

All Implemented Interfaces:
  `io.quarkus.vertx.http.HttpServerOptionsCustomizer`

@ApplicationScoped public class PeerTrustServerCustomizer extends Object implements io.quarkus.vertx.http.HttpServerOptionsCustomizer

## Constructor Summary

Constructors
Constructor
Description
`PeerTrustServerCustomizer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`customizeHttpsServer(io.vertx.core.http.HttpServerOptions options)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.quarkus.vertx.http.HttpServerOptionsCustomizer

`customizeDomainSocketServer, customizeHttpServer`

## Constructor Details

### PeerTrustServerCustomizer

public PeerTrustServerCustomizer()

## Method Details

### customizeHttpsServer

public void customizeHttpsServer(io.vertx.core.http.HttpServerOptions options)

Specified by:
  `customizeHttpsServer` in interface `io.quarkus.vertx.http.HttpServerOptionsCustomizer`